help with installing merlin on china bought asus rt-ac5300

Bloodfart

New Around Here
There seems to be some specific blocks to installing or changing firmware versions here.

I just bought this router and want to use it to install astrill for convenience but I get this message when trying to install merlin or any other asus version

Invalid Firmware Upload
To comply with regulatory amendments, we have modified our certification rule to ensure better firmware quality. This version is not compatible with all previously released ASUS firmware and uncertified third party firmware. Please check our official websites for the certified firmware.

any ideas?
 

ColinTaylor

Part of the Furniture

Bloodfart

New Around Here
It is definitely RT-ac5300 and I’ve tried the newest Merlin firmware, newest asus firmware, and an asus version a couple of versions ago. All the same message and won’t install.
 

ColinTaylor

Part of the Furniture
It is definitely RT-ac5300 and I’ve tried the newest Merlin firmware, newest asus firmware, and an asus version a couple of versions ago. All the same message and won’t install.
What is the current firmware version shown at the top of each page and at Administration >- Firmware Upgrade > AiMesh router ?
 

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top